Package Details: python-llvmlite 0.28.0-2

Git Clone URL: https://aur.archlinux.org/python-llvmlite.git (read-only)
Package Base: python-llvmlite
Description: Lightweight LLVM python binding for writing JIT compilers
Upstream URL: https://github.com/numba/llvmlite
Licenses: BSD
Submitter: mschu
Maintainer: mschu
Last Packager: mschu
Votes: 21
Popularity: 0.444156
First Submitted: 2014-12-29 17:23
Last Updated: 2019-04-01 10:14

Latest Comments

« First ‹ Previous 1 2 3 4 5

mschu commented on 2015-10-04 20:48

I have updated the dependency to include llvm<3.7 and bumped the release number to 2 until this gets fixed.

lipe_cantarelli commented on 2015-10-04 20:09

It seems to have a compatibility issue with newer versions of llvm: https://github.com/numba/llvmlite/issues/85

It seems to work with llvm-3.6.2-4 though.

mschu commented on 2015-10-02 11:59

Which version of llvm are you using? - I assume it's 0.7.0. Can you try downgrading to 0.6.x and see if this fixes it?

abulak commented on 2015-10-02 11:21

I get the same error;

in /tmp/aur-python-llvmlite/src/llvmlite-0.7.0/ffi I run
make -f Makefile.linux

this is the output:

# static-libstdc++ avoids runtime dependencies on a
# particular libstdc++ version.
g++ -static-libstdc++ -shared -flto `llvm-config --cxxflags` -fno-rtti -g assembly.cpp bitcode.cpp core.cpp initfini.cpp module.cpp value.cpp executionengine.cpp transforms.cpp passmanagers.cpp targets.cpp dylib.cpp linker.cpp -o libllvmlite.so -flto `llvm-config --ldflags` -Wl,--exclude-libs=ALL `llvm-config --system-libs --libs all`
transforms.cpp:18:2: warning: extra ‘;’ [-Wpedantic]
};
^
targets.cpp:7:43: fatal error: llvm/Target/TargetLibraryInfo.h: No such file or directory
compilation terminated.
Makefile.linux:17: recipe for target 'libllvmlite.so' failed
make: *** [libllvmlite.so] Error 1

the headers are present on my system but in llvm/Analysis, not llvm/Target;
Is this some old cruft in my system (It happened to me once before)?

m

mschu commented on 2015-10-01 22:00

I can not reproduce this. Can you tell me what error message you get for "make -f Makefile.linux" in the build directory?

wendell commented on 2015-09-30 14:30

Building 0.7.0-1 failed:

targets.cpp:7:43: fatal error: llvm/Target/TargetLibraryInfo.h: No such file or directory
compilation terminated.
Makefile.linux:17: recipe for target 'libllvmlite.so' failed
make: *** [libllvmlite.so] Error 1
Traceback (most recent call last):
File "ffi/build.py", line 114, in <module>
main()
File "ffi/build.py", line 104, in main
main_posix('linux', '.so')
File "ffi/build.py", line 96, in main_posix
subprocess.check_call(['make', '-f', makefile])
File "/usr/lib/python3.4/subprocess.py", line 561, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['make', '-f', 'Makefile.linux']' returned non-zero exit status 2
error: command '/usr/bin/python' failed with exit status 1
==> ERROR: A failure occurred in build().
Aborting...

boedybios commented on 2015-05-06 07:17

Thank you.
I just removed the llvm 3.5 and let yaourt find the required dependency (llvm3.5). It works now :)

mschu commented on 2015-05-05 15:02

added extra/llvm35 as a dependency instead of extra/llvm which is at 3.6

boedybios commented on 2015-05-05 14:56

error: target not found: llvm<3.6

Could you kindly give fix this issue? Thank you :)

ayr0 commented on 2015-01-14 18:48

This packages breaks with llvm 3.5.1 update in official repos.
Should the dependency be llvm >= 3.5.0?